package com.jair.controller;

import com.jair.entity.bo.CfgFee;
import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import com.jair.service.IAnalyticsService;
import com.jair.service.IFeeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;

@RestController
@RequestMapping("/analytics")
public class AnalyticsController extends BaseController {
    @Autowired
    private IAnalyticsService analyticsService;

    @PostMapping("/dashboard")
    public ResultVo list(HttpServletRequest request) throws Exception {
        TokenInfo tokenInfo = getTokenInfo(request);
        return analyticsService.dashboard(tokenInfo);
    }

}
