package com.jair.entity.bo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Driver implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /** 身份证号码 */
    private String identityNumber;

    /** 姓名 */
    private String name;

    /** 性别 */
    private String gender;

    /** 电话 */
    private String phone;

    /** 现住址 */
    private String address;

    /** 紧急联系人 */
    private String contactName;

    /** 紧急联系人电话 */
    private String contactPhone;

    /** 是否有网约车执照：0无，1有 */
    private Integer serviceLicense;

    private Date createTime;

    private Integer createById;

    private String createByName;

    private Integer companyId;

    /** 身份证id */
    private Integer identityId;

    /** 驾驶证id */
    private Integer licenseId;

}
