package com.jair.entity.bo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class IdentityCard implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /** 民族 */
    private String nation;

    /** 出生日期 */
    private Date birthday;

    /** 身份证地址 */
    private String originAddress;

    /** 发证机关 */
    private String issueOrganization;

    /** 有效期-起 */
    private Date validPeriodStart;

    /** 有效期-止 */
    private Date validPeriodEnd;

    /** 正面照片 */
    private Integer frontFileId;

    /** 反面照片 */
    private Integer backFileId;

    private Date createTime;

    private Integer createById;

    private String createByName;

    private Integer companyId;


}
