package com.jair.entity.common;

import lombok.Getter;

/**
 * @author: mazhang
 * @date: 2019/08/08 15:16 update by caiyt @2019/08/24
 * @description: 返回的错误码常量类
 */
@Getter
public class ResultConstants {
    /**
     * 成功
     */
    public static final int SUCCESS = 1;

    /**
     * 登陆超时
     */
    public static final int LOGIN_TIMEOUT = 2;

    /**
     * 业务异常
     */
    public static final int ILLEGAL_BUSINESS = 3;

    /**
     * 账户冻结
     */
    public static final int FROZEN_ACCOUNT = 201;

    /**
     * 系统异常
     */
    public static final int SYSTEM_ERROR = 999;
}