package com.jair.entity.constant;

import lombok.Getter;

@Getter
public enum DataTypeEnum {
    ENVIRONMENTAL_STANDARDS(1, "环保标准"),
    CHARACTER(2, "车辆使用性质"),
    COLOR(3, "颜色"),
    ENGINE_TYPE(4, "动力类型"),
    VEHICLE_TYPE(5, "车型类型"),
    BRAND(6, "品牌"),
    MODEL(7, "型号");


    private Integer key;
    private String value;

    DataTypeEnum(Integer key, String value) {
        this.key = key;
        this.value = value;
    }
}