package com.jair.entity.constant;

import lombok.Getter;

@Getter
public enum DepositStatusEnum {
    ARREARAGE(-1, "押金不全"),
    NORMAL(0, "正常"),
    PORTION_RETURN(1, "部分已退"),
    ALL_RETURN(2, "全部已退");

    private Integer key;
    private String value;

    DepositStatusEnum(Integer key, String value) {
        this.key = key;
        this.value = value;
    }

    public static String codeToName(Integer code) {
        if (code == ARREARAGE.getKey()) {
            return ARREARAGE.getValue();
        } else if (code == NORMAL.getKey()) {
            return NORMAL.getValue();
        } else if (code == PORTION_RETURN.getKey()) {
            return PORTION_RETURN.getValue();
        } else if (code == ALL_RETURN.getKey()) {
            return ALL_RETURN.getValue();
        }
        return "";
    }
}