package com.jair.entity.constant;

import lombok.Getter;

/** 费用周期 */
@Getter
public enum FeeTimingEnum {
    ONCE(1, "一次性"),
    WEEK(2, "周度"),
    MONTH(3, "月度"),
    QUARTER(4, "季度"),
    YEAR(5, "年度");

    private Integer key;
    private String value;

    FeeTimingEnum(Integer key, String value) {
        this.key = key;
        this.value = value;
    }
}