package com.jair.entity.constant;

import lombok.Getter;

@Getter
public enum LeaseTypeEnum {
    DAY_OF_MONTH(1, "月租（30天）"),
    MONTH(2, "月租（自然月）"),
    WEEK(3, "周租");

    private Integer key;
    private String value;

    LeaseTypeEnum(Integer key, String value) {
        this.key = key;
        this.value = value;
    }

    public static String codeToName(Integer code) {
        if (code == DAY_OF_MONTH.getKey()) {
            return DAY_OF_MONTH.getValue();
        } else if (code == MONTH.getKey()) {
            return MONTH.getValue();
        } else if (code == WEEK.getKey()) {
            return WEEK.getValue();
        }
        return "";
    }
}