package com.jair.entity.po;

import lombok.Data;
import org.springframework.util.StringUtils;

@Data
public class UpdatePasswordPo extends Validation {

    private Integer id;

    /** 密码 */
    private String password;

    @Override
    public ValidateResult validate() {
        if (this.getId() == null || this.getId() <= 0) {
            return ValidateResult.fail("未知帐号");
        }
        if (StringUtils.isEmpty(this.getPassword()) || this.getPassword().length() < 6) {
            return ValidateResult.fail("密码长度不能小于6位");
        }
        return ValidateResult.succeed(this);
    }
}
