package com.jair.entity.vo;

import lombok.Data;

@Data
public class DashboardVo {
    /** 全部司机数量 */
    private Integer allDriverCount;
    /** 签约中司机数量 */
    private Integer signedDriverCount;

    /** 全部车辆数量 */
    private Integer allVehicleCount;
    /** 签约中车辆数量 */
    private Integer signedVehicleCount;

    /** 本月计划 回款 */
    private Integer currentMonthPlanAmount;
    /** 本月实际 回款 */
    private Integer currentMonthActualAmount;

    /** 今日计划 回款 */
    private Integer todayPlanAmount;
    /** 今日实际 回款 */
    private Integer todayActualAmount;


    /** 总合同数量 */
    private Integer allContract;
    /** 执行中合同数量 */
    private Integer validContract;

    /** 本月新租 */
    private Integer currentMonthContract;
    /** 上月新租 */
    private Integer lastMonthContract;

    /** 今日新租 */
    private Integer todayContract;
    /** 昨日新租 */
    private Integer yesterdayContract;

}
