package com.jair.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author Jair
 * @since 2020-10-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class FeePlanningVo implements Serializable {

    private Integer id;

    /** 费用类型 */
    private Integer type;

    /** 费用名称 */
    private String name;

    /** 合同ID */
    private Integer contractId;

    /** 合同类型 */
    private Integer contractType;

    /** 计划执行日期 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date planDate;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date delayDate;

    /** 应付金额 */
    private Integer payableAmount;

    /** 已付金额 */
    private Integer paidAmount;

    /** 状态：0未付，1已付部分，2已付全部 */
    private Integer paymentStatus;

    private String remark;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;

    private Integer createById;

    private String createByName;

    private Integer companyId;

    private Integer status;

    private String contractCode;

    private Integer driverId;
    private String driverName;

    private Integer vehicleId;
    private String plateNo;
}
