package com.jair.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.models.auth.In;
import lombok.Data;

import java.util.Date;

@Data
public class VehicleVo {
    private Integer id;

    private Integer licenseId;

    /** 品牌 */
    private Integer brandId;
    /** 品牌 */
    private String brandName;

    /** 型号 */
    private String model;

    /** 排量 */
    private String displacement;

    /** 颜色 */
    private String color;

    /** 环保标准 */
    private String environmentalStandards;

    /** 动力类型 */
    private String engineType;

    /** 状态 */
    private Integer status;

    /** 车牌号码 */
    private String plateNo;

    /** 车辆类型：小型轿车 */
    private String type;

    /** 所有人 */
    private String owner;

    /** 住址 */
    private String address;

    /** 使用性质：非营运 */
    private String useCharacter;

    /** 型号 */
    private String licenseModel;

    /** 识别代号 */
    private String vin;

    /** 发动机号码 */
    private String engineNo;

    /** 注册日期 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date registerDate;

    /** 发证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date issueDate;

    /** 核载人数 */
    private String approvedPerson;

    /** 总质量 */
    private String weight;

    /** 尺寸 */
    private String outlineSize;

    /** 行驶证主页照片 */
    private Integer mainFileId;
    /** 行驶证主页照片 url */
    private String mainFileUrl;

    /** 行驶证副页照片 */
    private Integer secondFileId;
    /** 行驶证副页照片 url */
    private String secondFileUrl;

    private String remark;

    private Integer sourceStatus;
    private Integer driverStatus;
}
