package com.jair.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jair.entity.bo.Contract;
import com.jair.entity.bo.PlanningOperationLog;
import com.jair.entity.po.SearchContractPo;
import com.jair.entity.po.SearchPlanningLogPo;
import com.jair.entity.vo.PlanningOperationLogVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Jair
 * @since 2020-10-09
 */
public interface PlanningOperationLogMapper extends BaseMapper<PlanningOperationLog> {

    IPage<PlanningOperationLogVo> queryLogs(Page page, @Param("searcher") SearchPlanningLogPo searcher);
}
