package com.jair.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jair.entity.bo.AttFile;
import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
public interface IAttFileService extends IService<AttFile> {

    ResultVo upload(TokenInfo tokenInfo, @RequestParam("file") MultipartFile multipartFile) throws Exception;

    AttFile getAttFileById(Integer companyId, Integer id);
}
