package com.jair.timer;

import com.jair.service.ICompanyService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class CompanyExpiredTimer {

    @Autowired
    private ICompanyService companyService;

    @Scheduled(cron = "0 0 0/4 * * ?")
    synchronized public void execute() {
        companyService.checkExpiredCompanys();
    }
}
