package com.jair.timer;

import com.jair.service.ICompanyService;
import com.jair.service.IContractService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class ContractEndedTimer {

    @Autowired
    private IContractService contractService;

    @Scheduled(cron = "0 0 0/4 * * ?")
    synchronized public void execute() {
        contractService.checkEndedContracts();
    }
}
