package com.jair.util;

import java.util.Date;

public class ObjectUtil {
    public static boolean equals(Object obj1, Object obj2) {
        if (obj1 == null && obj2 == null) {
            return true;
        }
        if (obj1 == null || obj2 == null) {
            return false;
        }

        if (obj1 instanceof Integer) {
            return ((Integer) obj1).intValue() == ((Integer) obj2).intValue();
        }
        if (obj1 instanceof Long) {
            return ((Long) obj1).longValue() == ((Long) obj2).longValue();
        }
        if (obj1 instanceof String) {
            return obj1.equals(obj2);
        }
        if (obj1 instanceof Date) {
            return ((Date) obj1).getTime() == ((Date) obj2).getTime();
        }

        return false;
    }
}
