package com.jair;

import com.jair.service.IAttFileService;
import com.jair.util.BaiduAI;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.File;

@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest
public class UploadTest {
    @Autowired
    IAttFileService attFileService;
    @Autowired
    BaiduAI baiduAI;

    @Test
    public void uploadTest() throws Exception {
    }

    @Test
    public void detectIDCard() throws Exception {
        String filePath1 = "/Users/jair/Documents/证件/居住证/872446035838462286.jpg";
        System.out.println(baiduAI.identityCardDetect(new File(filePath1), true));

        String filePath2 = "/Users/jair/Documents/证件/居住证/885916278838050824.jpg";
        System.out.println(baiduAI.identityCardDetect(new File(filePath2), false));
    }

    @Test
    public void detectDriver() throws Exception {
        String filePath1 = "/Users/jair/Downloads/2761601624681_pic.jpg";
        System.out.println(baiduAI.drivingLicenseDetect(new File(filePath1)));
    }
}
