package com.jair.entity.bo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author Jair
 * @since 2020-10-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PlanningOperationLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /** 合同ID */
    private Integer contractId;

    /** 合同类型 */
    private Integer planningId;

    /** @PlanningLogActionEnum */
    private Integer type;
    /** @PlanningLogActionEnum */
    private String action;

    /** 金额 */
    private Integer amount;

    private String remark;

    private Date createTime;

    private Integer createById;

    private String createByName;

    private Integer companyId;


}
