package com.jair.entity.bo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 车源信息
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Source implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 车源名称
     */
    private String name;

    /**
     * 地址
     */
    private String address;

    /**
     * 联系人
     */
    private String contactName;

    /**
     * 电话
     */
    private String contactPhone;

    private Date createTime;

    private Integer createById;

    private String createByName;

    private Integer status;
    /**
     * 关联主体
     */
    private Integer companyId;


}
