package com.jair.entity.common;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel("token信息相应类")
public class TokenInfo {

    @ApiModelProperty("帐号id")
    private Integer id;

    @ApiModelProperty("用户账号")
    private String username;

    @ApiModelProperty("用户姓名")
    private String realName;

    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("帐号类型：0超管，1主帐号，2子帐号")
    private Integer type;

    @ApiModelProperty("用户所属组织id")
    private Integer companyId;

    @ApiModelProperty("用户所属组织名称")
    private String companyName;

    private String abbr;

    private String token;

    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date tokenExpiredTime;

    private String menus;

//
//    /**
//     * 获取系统用户
//     *
//     * @return
//     */
//    public static TokenInfoVo genSystemTokenInfo() {
//        return new TokenInfoVo(SystemConstants.SYSTEM_ID, SystemConstants.SYSTEM_NAME);
//    }
}
