package com.jair.entity.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class SearchPlanningPo extends Validation {

    /** 合同类型，1租金，2其它费用 */
    private Integer type;

    private String typeName;

    /** 合同类型，1车源合同，2司机合同 */
    private Integer contractType;

    /** 司机姓名 */
    private String driverInfo;

    /** 车牌号 */
    private String vehicleInfo;

    /** 计划日期 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date planDateStart;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date planDateEnd;

    private Integer paymentStatus;

    private Integer status;

    private Integer companyId;
}
