package com.jair.entity.po;

import lombok.Data;
import org.springframework.util.StringUtils;

@Data
public class UpdateAccountStatusPo extends Validation {

    private Integer id;

    private Integer status;

    @Override
    public ValidateResult validate() {
        if (this.getId() == null || this.getId() <= 0) {
            return ValidateResult.fail("未知帐号");
        }
        if (this.getStatus() != 1 && this.getStatus() != 0) {
            return ValidateResult.fail("状态不正确");
        }
        return ValidateResult.succeed(this);
    }
}
