package com.jair.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jair.entity.bo.Account;
import lombok.Data;

import java.util.Date;

@Data
public class CompanyVo {
    /**
     * 公司id
     */
    private Integer id;
    /**
     * 公司名称
     */
    private String name;

    /**
     * 简称
     */
    private String abbr;

    /**
     * 地址
     */
    private String address;

    /**
     * 联系人
     */
    private String contactName;

    /**
     * 联系电话
     */
    private String contactPhone;

    /**
     * 省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 区
     */
    private String district;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date expiredDate;
    /**
     * 状态
     */
    private Integer status;

    private Integer level;

    private Account account;
}
