package com.jair.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author Jair
 * @since 2020-10-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PlanningOperationLogVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 合同ID */
    private Integer contractId;

    /** 合同类型 */
    private Integer planningId;

    /** @PlanningLogActionEnum */
    private Integer type;
    /** @PlanningLogActionEnum */
    private String action;

    /** 金额 */
    private Integer amount;

    private String remark;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    private Integer createById;

    private String createByName;

    private Integer companyId;

    private String planName;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date planDate;

    private Integer payableAmount;

    private String plateNo;

    private String brandName;

    private String model;

    private String driverName;

    private String driverPhone;

    private String driverId;
}
