package com.jair.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jair.entity.bo.Contract;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jair.entity.po.SearchContractPo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
public interface ContractMapper extends BaseMapper<Contract> {

    IPage<Contract> queryDriverContracts(Page page, @Param("searcher") SearchContractPo searcher);
}
