package com.jair.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jair.entity.bo.FeePlanning;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jair.entity.common.PageInfo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.SearchPlanningPo;
import com.jair.entity.vo.FeePlanningVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author Jair
 * @since 2020-10-09
 */
public interface FeePlanningMapper extends BaseMapper<FeePlanning> {
    void disablePlanningByContractId(Integer contractId);

    IPage<FeePlanningVo> getDriverPlannings(Page page, @Param("searcher") SearchPlanningPo searcher);

    Integer getPlanAmountByPlanDate(@Param("companyId") Integer companyId, @Param("date") String date);

    Integer getActualAmountByCreateTime(@Param("companyId") Integer companyId, @Param("date") String date);
}
