package com.jair.service;

import com.jair.entity.bo.AttFile;
import com.jair.entity.bo.ContractSignAttachment;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
public interface IContractSignAttachmentService extends IService<ContractSignAttachment> {

    List<AttFile> getFilesByContractId(Integer contractId);

    void deleteFilesByContractId(Integer contractId);

    void updateContractFiles(List<Integer> files, Integer contractId);
}
