package com.jair.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jair.entity.bo.CfgData;
import com.jair.entity.bo.CfgFee;
import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.SearchDataPo;
import com.jair.entity.po.SysDataPo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
public interface IFeeService extends IService<CfgFee> {

    ResultVo list(TokenInfo tokenInfo, Integer status);

    ResultVo create(TokenInfo tokenInfo, CfgFee fee);

    ResultVo disable(TokenInfo tokenInfo, Integer feeId);

    ResultVo enable(TokenInfo tokenInfo, Integer feeId);

    CfgFee getFeeById(Integer companyId, Integer feeId);
}
