package com.jair.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jair.entity.bo.Source;
import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.SourcePo;

/**
 * <p>
 * 车源信息 服务类
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
public interface ISourceService extends IService<Source> {

    ResultVo createSource(TokenInfo tokenInfo, SourcePo sourcePo);

    ResultVo updateSource(TokenInfo tokenInfo, SourcePo sourcePo);

    ResultVo listSources(TokenInfo tokenInfo, SourcePo sourcePo);

    boolean isSourceNameExists(Integer companyId, Integer sourceId, String sourceName);

    Source getSourceById(Integer companyId, Integer sourceId);

    ResultVo updateSourceStatus(TokenInfo tokenInfo, SourcePo sourcePo);
}
