package com.jair.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jair.entity.bo.AttFile;
import com.jair.entity.bo.Sequence;
import com.jair.entity.bo.Vehicle;
import com.jair.entity.bo.VehicleLicense;
import com.jair.entity.common.PageInfo;
import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.CreateVehiclePo;
import com.jair.entity.po.SearchVechiclePo;
import com.jair.entity.po.UpdateVehiclePo;
import com.jair.entity.po.ValidateResult;
import com.jair.entity.vo.VehicleVo;
import com.jair.mapper.SequenceMapper;
import com.jair.mapper.VehicleMapper;
import com.jair.service.*;
import com.jair.util.BeanUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.StringUtils;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author Jair
 * @since 2020-08-25
 */
@Service
public class SequenceServiceImpl extends ServiceImpl<SequenceMapper, Sequence> implements ISequenceService {

    @Override
    public Integer getSequence() {
        Sequence sequence = new Sequence();
        sequence.setName("");
        this.save(sequence);
        return sequence.getId();
    }
}
