package com.jair.util;

import java.util.ArrayList;
import java.util.List;

public class ArrayUtil {

    public static <T> boolean isEmtry(List<T> t){
        if(t==null || t.size()==0){
            return true;
        }
        return false;
    }
    public static  <T> boolean isNotEmtry(List<T> ts){
        return !isEmtry(ts);
    }


    /*

    将一组数据固定分组，每组n个元素

    @param source 要分组的数据源

    @param n 每组n个元素

    @param

    @return
    */
    public static <T> List<List<T>> fixedGrouping(List<T> source, int n) {

        if (null == source || source.size() == 0 || n <= 0)
            return null;
        List<List<T>> result = new ArrayList<List<T>>();

        int sourceSize = source.size();
        int size = (source.size() / n) + 1;
        for (int i = 0; i < size; i++) {
            List subset = new ArrayList();
            for (int j = i * n; j < (i + 1) * n; j++) {
                if (j < sourceSize) {
                    subset.add(source.get(j));
                }
            }
            result.add(subset);
        }
        return result;
    }



}
