package com.jair;

import com.jair.entity.common.TokenInfo;
import com.jair.entity.constant.AccountTypeEnum;
import com.jair.entity.po.CreateAccountPo;
import com.jair.entity.po.LoginPo;
import com.jair.service.IAccountService;
import com.jair.service.impl.AnalyticsServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.text.ParseException;

@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest
public class AnalyticsTest {

    @Autowired
    private AnalyticsServiceImpl analyticsService;

    @Test
    public void dashboardTest() throws ParseException {
        TokenInfo tokenInfo = new TokenInfo();
        tokenInfo.setType(AccountTypeEnum.ADMIN.getKey());

        System.out.println(analyticsService.dashboard(tokenInfo));
    }
}
