package com.jair;

import com.jair.entity.common.TokenInfo;
import com.jair.service.IDataService;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest
public class DataTest {

    @Autowired
    private IDataService dataService;

    @Test
    public void list() {
        TokenInfo tokenInfo = new TokenInfo();
        tokenInfo.setCompanyId(1);

        System.out.println(dataService.listEnvironmentalStandards(tokenInfo));
        System.out.println(dataService.listUseCharacters(tokenInfo));
        System.out.println(dataService.listColors(tokenInfo));
        System.out.println(dataService.listEngineTypes(tokenInfo));
        System.out.println(dataService.listVehicleTypes(tokenInfo));
        System.out.println(dataService.listBrands(tokenInfo));
    }
}
