package com.jair;

import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.SourcePo;
import com.jair.service.ISourceService;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest
public class SourceTest {

    @Autowired
    private ISourceService sourceService;

    @Test
    public void createSource() {
        TokenInfo tokenInfo = new TokenInfo();
        tokenInfo.setId(2);
        tokenInfo.setRealName("张三");
        tokenInfo.setCompanyId(1);

        SourcePo sourcePo = new SourcePo();
        sourcePo.setName("神州租车");
        sourcePo.setContactName("王二麻了");
        sourcePo.setContactPhone("13599990000");
        sourcePo.setAddress("北京市海淀区中关村大街");

        System.out.println(sourceService.createSource(tokenInfo, sourcePo));
    }


    @Test
    public void list() {
        TokenInfo tokenInfo = new TokenInfo();
        tokenInfo.setId(2);
        tokenInfo.setRealName("张三");
        tokenInfo.setCompanyId(2);
    }
}
